/* Header
 *------------------------------------------------------------*/

.header {
	.clearfix;
	position: relative;
	z-index: 3;
	text-align: center;

	@media @mobile, @tablet {
		display: none;
	}

	& + .header-placeholder {
		display: none;
	}

	&--sticked {
		position: fixed;
		top: 0;
		.translateY(-100%);

		body.admin-bar & {
			top: 32px;
		}

		& + .header-placeholder {
			display: block;
		}
	}

	&__inwrap {
		line-height: 0; //fix invisible margins on inner inline-block
	}

	&__menu {
		position: relative;
		z-index: 2;
	}

	.widget--header {
		float: right;
		margin-top: 20px;
		margin-right: 20px;
		line-height: 1;

		p { margin-bottom: 0; }

		& + .widget {
			margin-top: 20px;
		}
	}

	.header__search__toggle {
		margin-top: 20px;
	}
}

.hygge-logo {
	padding: 50px 0 50px;
	position: relative;
	z-index: 1;
	text-align: center;

	@media @mobile {
		padding-top: 20px;
		padding-bottom: 20px;
		img {
			max-width: 50%;
			max-height: 60px;
		}
	}

	@media @tablet {
		padding-top: 30px;
		padding-bottom: 30px;
		img {
			max-height: 100px;
		}
	}
}
